DefinitionType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model.impl

## Interface DefinitionType

- All Known Implementing Classes:
    ClassDefinitionImpl, CodecDefinitionImpl, ContainerDefinitionImpl, DataDefinitionImpl, DefinitionObjectImpl, InterpolationDefinitionImpl, KLVDataDefinitionImpl, MetaDefinitionImpl, OperationDefinitionImpl, ParameterDefinitionImpl, PluginDefinitionImpl, PropertyDefinitionImpl, PropertyWrapperDefinitionImpl, SingletonTypeDefinitionImpl, TaggedValueDefinitionImpl, TypeDefinitionCharacterImpl, TypeDefinitionEnumerationImpl, TypeDefinitionExtendibleEnumerationImpl, TypeDefinitionFixedArrayImpl, TypeDefinitionImpl, TypeDefinitionIndirectImpl, TypeDefinitionIntegerImpl, TypeDefinitionObjectReferenceImpl, TypeDefinitionOpaqueImpl, TypeDefinitionRecordImpl, TypeDefinitionRenameImpl, TypeDefinitionSetImpl, TypeDefinitionStreamImpl, TypeDefinitionStringImpl, TypeDefinitionStrongObjectReferenceImpl, TypeDefinitionVariableArrayImpl, TypeDefinitionWeakObjectReferenceImpl

      public interface DefinitionType

  Interface supported by all definition objects and meta definition objects. These kinds of objects are identified by a AUID, have a name and an optional description.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AUID` | `getAUID()` Returns the identification of the definition.
    `String` | `getDescription()` Returns the optional description of the definition.
    `String` | `getName()` Returns the name of the definition.

- - ### Method Detail

    - #### getAUID

          AUID getAUID()

      Returns the identification of the definition. This is normally a registered SMPTE universal label.

      Returns:
        Identification of the definition.

    - #### getName

          String getName()

      Returns the name of the definition.

      Returns:
        Name of the definition.

    - #### getDescription

          String getDescription()
                         throws PropertyNotPresentException

      Returns the optional description of the definition.

      Returns:
        Description of the definition.
      Throws:
        `PropertyNotPresentException` - The optional name property is not present for the definition.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.